# PetscLogEventBarrierEnd

Logs the time in a barrier before an event.

### Input Parameters

e -integer associated with the event obtained from PetscLogEventRegister()
o1,o2,o3,o4 -objects associated with the event, or 0
comm -communicator the barrier takes place over

### Synopsis

    void PetscLogEventBarrierEnd(int e,PetscObject o1,PetscObject o2,PetscObject o3,
    PetscObject o4,MPI_Comm comm)

### Usage

         PetscLogEventBarrierBegin(VEC_NormBarrier,0,0,0,0,comm);
           MPI_Allreduce()
         PetscLogEventBarrierEnd(VEC_NormBarrier,0,0,0,0,comm);

### Notes

This is for logging the amount of time spent in a barrier for an event that requires synchronization.

### Additional Notes

Synchronization events always come in pairs; for example, VEC_NormBarrier and VEC_NormComm = VEC_NormBarrier + 1

### See Also

PetscLogEventRegister(), PetscLogEventEnd(), PetscLogFlops(), PetscLogEventBegin(),
PetscLogEventBarrierBegin()

### Keywords

log, event, begin, barrier

Level:advanced
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages